﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 Setup IEEE
INSTRUMENT:            Sub Tek TDS1000/2000 Self-Test IEEE
INSTRUMENT:            Sub Tek TDS1000/2000 Sig Path Comp Cal IEEE
INSTRUMENT:            Sub Tek TDS1000/2000 Select Channel IEEE
INSTRUMENT:            Sub Tek TDS1000/2000 Trigger Chk and Level Adj IEEE
DATE:                  2010-08-24 09:04:12
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       220
=============================================================================
#
#  Model(s) Covered:
#        TDS1000  Series
#          TDS 1001, TDS 1002, TDS 1012
#        TDS2000 Series
#          TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022, TDS 2024
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Audible Operator Prompt
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP_IEEE                   PSUBI("Setup")
  1.002  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.003  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.004  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.005  JMPL         TRIGGER                      PSUBI("Trigger Chk")
  1.006  DISP         Undefined subprocedure!
  1.007  END

  1.008  EVAL   Increment step number

#********************* Setup IEEE ******************************************

  2.001  LABEL        SETUP_IEEE
  2.002  OPBR         -z This procedure requires one of the following
  2.002  OPBR         Tektronix extension modules:
  2.002  OPBR
  2.002  OPBR         [32] TDS2CM Communications Module
  2.002  OPBR         [32] TDS2CMA Communications Module
  2.002  OPBR         [32] TDS2CMAX Communications Module
  2.002  OPBR         [32] TDS2MM Measurement Module
  2.002  OPBR
  2.002  OPBR         Is one of the extension modules installed in the UUT?
  2.003  MATH         @Abort = NOT(MEM1)

  2.004  IF           MEM1
  2.005  DISP         To set up the UUT GPIB interface, perform the following
  2.005  DISP         steps:
  2.005  DISP
  2.005  DISP         [32]Press UUT UTILITY button.
  2.005  DISP         [32]Press "Options" softkey.
  2.005  DISP         [32]Press "GPIB Setup" softkey.
  2.005  DISP
  2.005  DISP         Ensure Address is not (0) zero and Bus Connection is
  2.005  DISP         Talk-Listen, not Bus-Off.

  2.006  MATH         NumGPIB_Boards = INI("Startup", "ib_nport")
  2.007  MATH         Port = NumGPIB_Boards - 1
  2.008  DISP         Connect UUT to PC IEEE-488 port [V Port].
  2.009  ENDIF

  2.010  END

  2.011  EVAL   Increment step number

#********************* Self-Test ********************************************

  3.001  LABEL        SELF_TEST
  3.002  RSLT         =
  3.003  HEAD         SELF TEST
  3.004  TARGET
# Query the result of diagnostics when power on
  3.005  IEEE2        DIA:RESU:FLA?[I$]
# Self Test evaluation
  3.006  EVAL   -e FINDI(MEM2, "PASS", 1) : SELF TEST

  4.001  MATH         @Abort = FAIL()

  4.002  IF           @Abort
  4.003  DISP         SELF TEST failed!
  4.003  DISP
  4.003  DISP         The UUT may need be serviced.
  4.003  DISP
  4.003  DISP         Procedure will be aborted.
  4.004  ENDIF

  4.005  END

  4.006  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  5.001  LABEL        SIGNAL_PATH_COMPENSATION
  5.002  HEAD         SIGNAL PATH COMPENSATION
# Ask the operator if they want to run the test.  It is not necessary to run
# this test again if already ran and the temperature is constant.
  5.003  OPBR         -z It is recommended that a Signal Path Compensation
  5.003  OPBR         Test be performed before running the performance Test.
  5.003  OPBR         It is only necessary to run this test one time.
  5.003  OPBR
  5.003  OPBR         Do you want to run the Signal Path Compensation Test?

  5.004  IF           MEM1
  5.005  RSLT         =
  5.006  DISP         Remove all connections from the UUT.
  5.007  IEEE         [T300000]*SRE 0;CAL:INTERNAL
  5.008  MEM2         =Waiting for signal path compensation to complete...
  5.009  WAIT         -t [V@SigPathCompTime] [MEM2]
  5.010  HEAD         SIGNAL PATH COMPENSATION COMPLETE
  5.011  IEEE2        [T100000]CAL:STATUS?[I$]
  5.012  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  6.001  MATH         @Abort = FAIL()

  6.002  IF           @Abort
  6.003  DISP         SIGNAL PATH COMPENSATION FAILED!
  6.003  DISP
  6.003  DISP         The UUT may need be serviced.
  6.003  DISP
  6.003  DISP         Procedure will be aborted.
  6.004  ENDIF

  6.005  ENDIF

  6.006  END

  6.007  EVAL   Increment step number

#********************************* Select Channel ***************************

  7.001  LABEL        SELECT_CHANNEL

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  7.002  IF           @NumChan == 2

# Specify channel being tested.
  7.003  IF           @Chan == 1
  7.004  IEEE2        SELECT:CH1 ON;CH2 OFF
  7.005  ELSE
  7.006  IEEE2        SELECT:CH1 OFF;CH2 ON
  7.007  ENDIF

  7.008  ELSE         ;  @NumChan == 4

# Specify channel being tested.
  7.009  IF           @Chan == 1
  7.010  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  7.011  ELSEIF       @Chan == 2
  7.012  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  7.013  ELSEIF       @Chan == 3
  7.014  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  7.015  ELSE
  7.016  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  7.017  ENDIF

  7.018  ENDIF

  7.019  END

  7.020  EVAL   Increment step number

#***************** Trigger Chk and Level Adj *********************************

  8.001  LABEL        TRIGGER
# Firstly set the trigger to 50%.
  8.002  IEEE2        TRIG:MAI SETL
# Set the start point to adjust the trigger level if signal was not triggered
# at 50% position.
  8.003  MATH         TrigLevel = -1 * @PeakValue
# Set the increasement of trigger level.
  8.004  MATH         Step = @PeakValue / 10

  8.005  DO
# Check the status of trigger.
  8.006  IEEE2        [D1000]TRIG:STATE?[I$]
  8.007  MATH         @Triggered = FINDI(MEM2, "Trig", 1)

  8.008  IF           NOT(@Triggered)
# Increase the trigger level.
  8.009  MATH         TrigLevel = TrigLevel + Step
  8.010  IEEE2        TRIG:MAI:LEV [V TrigLevel]
  8.011  ENDIF

# Exit loop when signal has been trigged or trigger level has exceeded the
# signal peak value and signal is still not triggered yet.
  8.012  UNTIL        @Triggered || (TrigLevel > @PeakValue)

  8.013  END

